Package org.opensaml.storage.impl.client

# Class ClientStorageServiceOperation

java.lang.Object
org.opensaml.storage.impl.client.ClientStorageServiceOperation

public class ClientStorageServiceOperation extends Object
A wrapper for a storage operation to capture the current or intended state of the data for a client.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`storageKey`
Storage key.
`private final String`
`storageServiceId`
ID of storage service for tracking/logging.
`private final ClientStorageService.ClientStorageSource`
`storageSource`
Storage source.
`private final String`
`storageValue`
Storage value.

## Constructor Summary

Constructors
Constructor
Description
`ClientStorageServiceOperation(String id, String key, String value, ClientStorageService.ClientStorageSource source)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
Get storage key to update.
`String`
`getStorageServiceID()`
Get Storage Service ID.
`ClientStorageService.ClientStorageSource`
`getStorageSource()`
Get storage source.
`String`
`getValue()`
Get new storage value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### storageServiceId

@Nonnull @NotEmpty private final String storageServiceId
ID of storage service for tracking/logging.

### storageKey

@Nonnull @NotEmpty private final String storageKey
Storage key.

### storageValue

@Nullable @NotEmpty private final String storageValue
Storage value.

### storageSource

@Nonnull private final ClientStorageService.ClientStorageSource storageSource
Storage source.

## Constructor Details

### ClientStorageServiceOperation

public ClientStorageServiceOperation(@Nonnull @NotEmpty String id, @Nonnull @NotEmpty String key, @Nullable String value, @Nonnull ClientStorageService.ClientStorageSource source)
Constructor.

Parameters:
  `id` - storage service ID
  `key` - storage key to update
  `value` - storage value
  `source` - storage source

## Method Details

### getStorageServiceID

@Nonnull @NotEmpty public String getStorageServiceID()
Get Storage Service ID.

Returns:
  storage service ID

### getKey

@Nonnull @NotEmpty public String getKey()
Get storage key to update.

Returns:
  storage key

### getValue

@Nullable @NotEmpty public String getValue()
Get new storage value.

Returns:
  storage value

### getStorageSource

@Nonnull public ClientStorageService.ClientStorageSource getStorageSource()
Get storage source.

Returns:
  storage source